[BaxiAgent]
AgentServerPort=6000
watchProgramFlow=1
# AgentLogLevel valid values:
# 0 - ALL, errors, trace, ecrMsg, keepAlive and debug
# 1 - LOG_DEBUG, errors, trace and debug 
# 2 - LOG_MESSAGE, errors and trace 
# 3 - LOG_WARN, errors and warnings 
AgentLogLevel=1
BaxiCorePort=6001
EnableTls=0
#LogPath can differ on basis of Operating System used. For example if OS is Linux set LogFilePath=/var/log/baxi.agent, and for windows set LogFilePath=C:\baxi\logfiles
LogPath=C:\ProgramData\NutidAB\PayAtTable\Baxilogs
OPIInterface=0
OPIInterfaceRequestTimeout=5
OPIDatabaseFilename=OPIDatabase.db
# Hotel specific features disabled Opera=0 or enabled Opera=1  
Opera=0
# Hanlde TipAmount based on OperaVersion
# OracleDriver = 0 ->  OPI Native Driver
# OracleDriver = 1 -> SPI driver 
# Default value should be 1
OracleDriver=1

# value is in miliseconds and it sets a delay when sending regular messages (it does not affect the keep alive messages) to termial using DelegateCommunication
LinkTimeoutPolling=1000
LinkTimeout=5000
LinkSendMessageDelay=10
LinkMaxConnections=25
HandShakeTimeout=10000
OnePayAtTable=1
#NotifyTerminalDisconnect Enables/Disables sending of error message to ECR indicating that a terminal was disconnected,NotifyTerminalDisconnect=0 (disabled),NotifyTerminalDisconnect=1 (Enabled)
NotifyTerminalDisconnect=1
#PanHash conversion, set to 0 to convert from base58Bytes to base64string or set to 1 if conversion is not required
PanHashConversion=0